Bug 52837 - Should not pass through focus click in Sawfish
Should not pass through focus click in Sawfish
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: sawfish (Show other bugs)
roswell
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-29 15:34 EDT by Havoc Pennington
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-17 21:19:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Havoc Pennington 2001-08-29 15:34:38 EDT
For the next release, Sawfish should be configured so that the focus click
is "eaten" instead of going through to the application. Then you can focus
apps without having to microtarget the window border.
Comment 1 Federico Mena-Quintero 2001-12-17 19:40:07 EST
On the other hand, on the GNOME bugzilla we have people complaining about them
unknowingly having pass-through-click set to false and buttons in unfocused
appliactions not working.

What is the problem, really?  I.e. which applications do you need to micro-target?

What does Windows do?  I think this is the really important question.
Comment 2 Havoc Pennington 2001-12-17 20:55:04 EST
Windows does pass through, Mac does not.
Comment 3 Havoc Pennington 2001-12-17 21:19:33 EST
You're probably right though:
http://discuss.fogcreek.com/joelonsoftware/default.asp?cmd=show&ixPost=1793
Comment 4 Havoc Pennington 2002-03-01 10:47:25 EST
Experiment with Metacity demonstrated that pass through is required unless you
are "application-based"

Note You need to log in before you can comment on or make changes to this bug.